Bug 135727 - cramfs (?) corruption in stage2.img on the test3 x86_64 DVD
cramfs (?) corruption in stage2.img on the test3 x86_64 DVD
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-14 13:56 EDT by Olaf Manczak
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:17:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olaf Manczak 2004-10-14 13:56:35 EDT
Description of problem:

* Network kickstart installation fails due to a corruption
  (cramfs?) in the stage2.img image
 
Version-Release number of selected component (if applicable):

* FC3-test3-x86_64-DVD.iso

How reproducible:

* Easy, in multiple ways

Steps to Reproduce:

Original way:

1. I do kickstart network install using a loopback mounted DVD
   image on an Athlon64 machine with 1GB RAM

2. Everything goes fine for a while but at some point spills 
   lots of messages on the console 3 about failed blocks from 
   loop0 and uncomression errors.

   After a while the installer crashes.

Other way:

1. On the kickstart server go to the directory that serves as
   the loopback mount point for the DVD. In my case the server
   is Redhat9 with all the Redhat9 updates (kernel 2.4).

2. Copy Fedora/base/stage2.img to a regular file system (not
   necessary but just to avoid confusion). Mount it and dd all
   the files to /dev/null

   mount -o loop,ro stage2.img 
   for f in $(find /mnt -type f) ; do
       dd if=$f of=/dev/null
   done

   Check /var/log/messages frequently. After a while there are
   plenty cramfs messages about a corrupted file system, then
   the machine goes nuts :(

Additional info:

   I am not sure it this is related but see bug 104503

   https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=104503
Comment 1 Dave Jones 2005-07-15 15:08:24 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 21:17:02 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.